<!DOCTYPE html>
<html>
    <head>
        <title>Blog</title>
        <link rel='stylesheet' href='/stylesheets/style.css' />
        <script src="/javascripts/jquery-1.10.2.js"></script>
        <script src="/javascripts/bootstrap.js"></script>
    </head>
    <body>
        <header>
            <div class="navbar navbar-default navbar-fixed-top text-uppercase">
                <div class="container">
                    <div class="navbar-header">
                        <a href="/" class="navbar-brand">Blog</a>
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                    </div>
                    {{#if user}}
                        <div class="navbar-collapse collapse">
                            <ul class="nav navbar-nav navbar-right">
                                <li><a href="/user/details/{{user.id}}">Welcome({{user.fullName}})</a></li>
                                <li><a href="/article/create">New Article</a></li>
                                <li><a href="/user/logout">Logout</a></li>
                            </ul>
                        </div>
                    {{/if}}
                    {{#unless user}}
                        <div class="navbar-collapse collapse">
                            <ul class="nav navbar-nav navbar-right">
                                <li><a href="/user/register">Register</a></li>
                                <li><a href="/user/login">Login</a></li>
                            </ul>
                        </div>
                    {{/unless}}
                </div>
            </div>
        </header>
        {{#if error }}
            <h2>{{error}}</h2>
        {{/if}}
        {{{body}}}
    </body>
</html>